Bug 72715 - New port: astro/boinc-setiathome Search for ET, BOINC version
Summary: New port: astro/boinc-setiathome Search for ET, BOINC version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-14 23:10 UTC by J.R. Oldroyd
Modified: 2004-10-17 23:48 UTC (History)
0 users

See Also:


Attachments
file.shar (15.27 KB, text/plain)
2004-10-14 23:10 UTC, J.R. Oldroyd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2004-10-14 23:10:31 UTC
SETI - Search for Extra-Terrestrial Intelligence

Use your unused CPU cycles to aid in computations analyzing radio
telescope information for possible signs of ET.

This version of SETI@home is based on BOINC (Berkeley Open
Infrastructure for Network Computing).  Several other projects
besides SETI@home are using BOINC.  BOINC lets you participate in
more than one project, and it lets you specify what fraction of
your computer time should go to each project.

This port requires net/boinc-client and together these supersede
the astro/setiathome port which is now known as SETI-Classic.

Be sure to join the "FreeBSD" team on the SETI website once you're
up and running.

WWW: http://setiweb.ssl.berkeley.edu/
Comment 1 Pav Lucistnik freebsd_committer 2004-10-16 20:26:54 UTC
State Changed
From-To: open->feedback

This doesn't quite compiles on my 5.3 box: 

analyzeFuncs.o(.text+0xd72): In function `seti_analyze(ANALYSIS_STATE&)': 
: undefined reference to `spike::print_xml(int, int, int, char const*) const' 
analyzeFuncs.o(.text+0xeb0): In function `seti_analyze(ANALYSIS_STATE&)': 
: undefined reference to `gaussian::print_xml(int, int, int, char const*) const' 
analyzeFuncs.o(.text+0xfee): In function `seti_analyze(ANALYSIS_STATE&)': 
: undefined reference to `pulse::print_xml(int, int, int, char const*) const' 

and so on. Any chance for a patch?
Comment 2 Pav Lucistnik freebsd_committer 2004-10-16 20:26:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 3 Pav Lucistnik freebsd_committer 2004-10-17 23:47:57 UTC
State Changed
From-To: feedback->closed

Okay, figured out the breakage. It breaks on my locale. 
I sticked some LANG=C into makefile